/* HeroesComponent's private CSS styles */
.heroes {
  margin: 0 0 2em 0;
  list-style-type: none;
  padding: 0;
  width: 15em;
}

input {
  display: block;
  width: 100%;
  padding: .5rem;
  margin: 1rem 0;
  box-sizing: border-box;
}

.heroes li {
  position: relative;
  cursor: pointer;
  margin: .5em 0;
}

.heroes a {
  color: #333;
  text-decoration: none;
  background-color: #EEE;
  height: 2rem;
  line-height: 2rem;
  border-radius: 4px;
  display: block;
  width: 100%;
}

.heroes a:hover {
  color: #2c3a41;
  background-color: #AAA;
}

.heroes a:active {
  background-color: #525252;
  color: #fafafa;
}

.heroes .badge {
  display: inline-block;
  color: white;
  background-color:#405061;
  height: 2rem;
  line-height: 2rem;
  min-width: 30px;
  text-align: center;
  margin-right: .3em;
  border-radius: 4px 0 0 4px;
}

.add-button {
 padding: .5rem 1.5rem;
 font-size: 1rem;
 margin-bottom: 2rem;
}

.add-button:hover {
  color: white;
  background-color: #42545C;
}

button.delete {
  position: absolute;
  background-color: #a85555;
  color:  white;
  font-size: 1.1rem;
  font-weight: bold;
  right: 0;
  top: 0;
  border-radius: 0 4px 4px 0;
  height: 100%;
  margin: 0;
  padding: 0 10px;
}

button.delete:hover {
  background-color: #A80000;
}


/*
Copyright Google LLC. All Rights Reserved.
Use of this source code is governed by an MIT-style license that
can be found in the LICENSE file at https://angular.io/license
*/